require.config({
    paths: {
        handlebars: "lib/handlebars",
        text: "lib/text",
        hbs: "lib/hbs",
    }
});

define("app",['js/router','js/utils','js/backbutton'], function(Router,Utils, BackButton) {
												
	Router.init();
	
	window.$$ = Dom7;
	window.t7 = new Framework7({
		modalTitle: 'Tugewang',
		pushState:false,
		animateNavBackIcon: true,
		precompileTemplates: true,
		template7Pages: true,
		router: true,
		animatePages:true,
		scrollTopOnNavbarClick:true
		
	});
	
    window.mainView = t7.addView('#index',{ 
		dynamicNavbar:true,
		domCache: true
	});
	
	window.findingView = t7.addView('#finding',{ 
		dynamicNavbar:true,
		domCache: true
	});
	
	window.userView = t7.addView('#user',{ 
		dynamicNavbar:true,
		domCache: true
	});
	
	window.categoryView = t7.addView('#category',{ 
		dynamicNavbar:true,
		domCache: true
	});
	
	BackButton.init();
  	
	return {
		router: Router,
		utils: Utils
	};
});