define(['js/xhr'],function(Xhr){
	
	//function
	function getInitInfo(bookId, sortId, callback){
		Xhr.getCall({ module:"book",func:"initInfo",data:{ bookId:bookId, sortId:sortId}},function(response){
			callback(response.data);
		});
	}
	
	function getInfiniteInfo(bookId, pageId, sortId, callback){
		Xhr.getCall({ module:"book",func:"infiniteInfo",data:{ bookId:bookId, pageId:pageId, sortId:sortId}},function(response){
			callback(response.data);
		});
	}
	
	//return
	return {
		getInitInfo:getInitInfo,
		getInfiniteInfo:getInfiniteInfo
	};
	
});