define(['app', 'js/mark', 'hbs!js/edit/init'],function(App, Mark, InitView){
	
	var bindings = [{
		element: '.page[data-page="edit"]',
		selector: '.setavatar',
		event: 'click',
		handler: openThisPage
	},{
		element: '.page[data-page="edit"]',
		selector: '.setnick',
		event: 'click',
		handler: openThisPage
	}];
	
	var markId;
	
	function init(){
		markId = Mark.getCurrentMarkId();
		if(!markId || markId == '')
		return;	
		
		getInitInfo();
		App.utils.bindEvents(bindings);
	}
	
	function getInitInfo(){
		var content = InitView();
		var container = $$('.page[data-page="edit"]');
		container.find('.content-edit').html(content);	
	}

	function openThisPage(){
		var pageUrl = $$(this).data('url');
		App.utils.loadPage(pageUrl);
	}
		
	return {
		init:init	
	};
	
});