define(function() {
	
	//function	
	function setCurrentMark(markInfo){
		localStorage.setItem("markInfo", JSON.stringify(markInfo));	
	}
		
	function setCurrentUserInfo(userInfo){
		localStorage.setItem("userInfo", JSON.stringify(userInfo));		
	}
	
	function getCurrentMarkId(){
		var currentMark = JSON.parse(localStorage.getItem("markInfo"));
		return 	currentMark ? currentMark.markId : '';
	}
	
	function getCurrentPlatId(){
		var currentMark = JSON.parse(localStorage.getItem("markInfo"));
		return 	currentMark ? currentMark.platId : '0';
	}
	
	function getCurrentUserInfo(){
		var currentUserInfo = JSON.parse(localStorage.getItem("userInfo"));
		return 	currentUserInfo ? currentUserInfo : '';
	}
	
	function setStaticInfo(staticInfo){
		localStorage.setItem("staticInfo", JSON.stringify(staticInfo));			
	}
	
	function getStaticInfo(){
		var currentStaticInfo = JSON.parse(localStorage.getItem("staticInfo"));
		return 	currentStaticInfo ? currentStaticInfo : '';
	}
	
	function setAppInfo(appInfo){
		localStorage.setItem("appInfo", JSON.stringify(appInfo));			
	}
	
	function getAppInfo(){
		var currentAppInfo = JSON.parse(localStorage.getItem("appInfo"));
		return 	currentAppInfo ? currentAppInfo : '';
	}
	
	
	//return
	return {
		setCurrentMark:setCurrentMark,
		getCurrentMarkId:getCurrentMarkId,
		getCurrentPlatId:getCurrentPlatId,
		setCurrentUserInfo:setCurrentUserInfo,
		getCurrentUserInfo:getCurrentUserInfo,
		setStaticInfo:setStaticInfo,
		getStaticInfo:getStaticInfo,
		setAppInfo:setAppInfo,
		getAppInfo:getAppInfo
	};
	
	
});