define(['js/xhr'],function(Xhr){
	
	//function
	function getInitInfo(markId, postsId, callback){
		Xhr.getCall({ module:"posts",func:"initInfo", data:{markId:markId, postsId:postsId}},function(response){
			callback(response.data);
		});
	}
	
	function addFavorite(markId, postsId, callback){
		Xhr.getCall({ module:"favorite", func:"postsInfo", data:{ markId:markId, postsId:postsId}},function(response){
			callback(response.data);
		});
	}
	
	//return
	return {
		getInitInfo:getInitInfo,
		addFavorite:addFavorite
	};
	
});