define(['js/xhr'],function(Xhr){
	
	//function
	function getInitInfo(word, callback){
		Xhr.getCall({ module:"searchgoods",func:"initInfo",data:{ word:word }},function(response){
			callback(response.data);
		});
	}
	
	function getInfiniteInfo(word, pageId, callback){
		Xhr.getCall({ module:"searchgoods",func:"infiniteInfo",data:{ word:word, pageId:pageId}},function(response){
			callback(response.data);
		});
	}
	
	//return
	return {
		getInitInfo:getInitInfo,
		getInfiniteInfo:getInfiniteInfo
	};
	
});