define(['js/xhr'],function(Xhr){
	
	//function
	function getInitInfo(shopId, callback){
		Xhr.getCall({ module:"shop",func:"initInfo",data:{ shopId:shopId}},function(response){
			callback(response.data);
		});
	}
	
	function getInfiniteInfo(shopId, pageId, callback){
		Xhr.getCall({ module:"shop",func:"infiniteInfo",data:{ shopId:shopId, pageId:pageId}},function(response){
			callback(response.data);
		});
	}
	
	//return
	return {
		getInitInfo:getInitInfo,
		getInfiniteInfo:getInfiniteInfo
	};
	
});