define(['js/xhr'], function(Xhr){
	
	//function
	function getInitInfo(markId, callback){
		Xhr.getCall({ module:"userposts", func:"initInfo",data:{ markId:markId }},function(response){
			callback(response.data);
		});
	}
	
	function getInfiniteInfo(markId, pageId, callback){
		Xhr.getCall({ module:"userposts", func:"infiniteInfo",data:{ markId:markId,pageId:pageId }},function(response){
			callback(response.data);
		});
	}
	
	function addPosts(markId, postsId, callback){
		Xhr.getCall({ module:"favorite", func:"postsInfo", data:{ markId:markId, postsId:postsId}},function(response){
			callback(response.data);
		});
	}

	//return
	return {
		getInitInfo:getInitInfo,
		getInfiniteInfo:getInfiniteInfo,
		addPosts:addPosts
	};
	

});