define(["app",'js/index/service','js/mark'], function(App, Service, Mark) {
													  
	function init(){
		markAppInfo();
		markStaticInfo();
		t7.closeModal();
		
		//User is Login
		var markId = Mark.getCurrentMarkId();			
		if(!markId || markId == ''){
			App.router.load('welcome');
			return;
		}
		
		//Add Home Page
		var pageUrl = 'page/home.html';
		mainView.router.loadPage(pageUrl);	
	}
	
	function markAppInfo(){
		var response = {};
		response.version = AppVersion.version;
		response.platform = device.platform;
		//response.version = '5.5.4';
		//response.platform = 'Android';
		Mark.setAppInfo(response);
		
		var markId = Mark.getCurrentMarkId();
		Service.setAppInfo(markId,response);
	}
	
	function markStaticInfo(){
		Service.setStaticInfo(function(response){
			Mark.setStaticInfo(response);
		});
	}
				
	return {
		init:init	
	};


});