define(['js/xhr'], function(Xhr){
	
	//function
	function getInitInfo(markId, itemId, callback){
		Xhr.getCall({ module:"item",func:"itemInfo",data:{ markId:markId, itemId:itemId}},function(response){
			callback(response.data);																		  
		});
	}
	
	function addFavorite(markId, itemId, callback){
		Xhr.getCall({ module:"favorite", func:"itemInfo", data:{ markId:markId, itemId:itemId}},function(response){
			callback(response.data);
		});
	}
	
	function shoppingInfo(itemId, markId, pageform, typeform, appInfo, callback){
		Xhr.getCall({ module:"shopping", func:"buyInfo", data:{ itemId:itemId, markId:markId, pageform:pageform,typeform:typeform, appInfo:appInfo }},function(response){
			callback(response.data);
		});
	}
	
	//return
	return {
		getInitInfo:getInitInfo,
		addFavorite:addFavorite,
		shoppingInfo:shoppingInfo
	};
	
});