define(['js/xhr'],function(Xhr){
	
	//function
	function getInitInfo(markId, tagId, callback){
		Xhr.getCall({ module:"label", func:"initInfo", data:{ markId:markId, tagId:tagId}},function(response){
			callback(response.data);
		});	
	}
	
	function getInfiniteInfo(markId, tagId, pageId, callback){
		Xhr.getCall({ module:"label", func:"infiniteInfo",data:{ markId:markId, tagId:tagId, pageId:pageId }},function(response){
			callback(response.data);
		});
	}
	
	function addFollow(markId, tagId, callback){
		Xhr.getCall({ module:"favorite", func:"tagInfo",data:{ markId:markId, tagId:tagId }},function(response){
			callback(response.data);
		});
	}
	
	function addPosts(markId, postsId, callback){
		Xhr.getCall({ module:"favorite", func:"postsInfo", data:{ markId:markId, postsId:postsId}},function(response){
			callback(response.data);
		});
	}
	
	//return
	return {
		getInitInfo:getInitInfo,
		getInfiniteInfo:getInfiniteInfo,
		addFollow:addFollow,
		addPosts:addPosts
	};
	
});