define(function() {
var $$ = Dom7;

	function init(){		
		$$(document).on('pageBeforeInit', function (e) {
			var page = e.detail.page;
			load(page.name, page.query);
		});
	
		$$(document).on('pageBeforeAnimation', function (e) {
			var page = e.detail.page;
			var name = page.name;
			var from = page.from;
			if(name == 'home' || name == 'finding' || name == 'category' || name == 'user' || name == 'nologin'){
				if(from === 'left'){
					t7.showToolbar('.toolbar');
				}
			}else{
				t7.hideToolbar('.toolbar');	
			}
		});

	}
	
	function load(controllerName, query) {
		require(['js/' + controllerName + '/'+ controllerName + 'Controller'], function(controller) {
			controller.init(query);
		});
	}
	
	return {
		init:init,
		load:load
	};
});