define(['js/xhr'],function(Xhr){
	
	//function
	function getInitInfo(word, markId, callback){
		Xhr.getCall({ module:"searchposts",func:"initInfo",data:{ word:word, markId:markId }},function(response){
			callback(response.data);
		});
	}
	
	function getInfiniteInfo(word, pageId, markId, callback){
		Xhr.getCall({ module:"searchposts",func:"infiniteInfo",data:{ word:word, pageId:pageId, markId:markId }},function(response){
			callback(response.data);
		});
	}
	
	function addPosts(markId, postsId, callback){
		Xhr.getCall({ module:"favorite", func:"postsInfo", data:{ markId:markId, postsId:postsId}},function(response){
			callback(response.data);
		});
	}
	
	//return
	return {
		getInitInfo:getInitInfo,
		getInfiniteInfo:getInfiniteInfo,
		addPosts:addPosts
	};
	
});